Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassDocumentMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassDocumentMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassDocumentMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Document Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getActClassDocumentMember1()`

Field Summary
`static int` | `DOC` The 'DOC' literal value.
`static ActClassDocumentMember1` | `DOC_LITERAL` The 'DOC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Document Member1' enumerators.

Method Summary
`static ActClassDocumentMember1` | `get(int value)` Returns the 'Act Class Document Member1' literal with the specified integer value.
`static ActClassDocumentMember1` | `get(java.lang.String literal)` Returns the 'Act Class Document Member1' literal with the specified literal value.
`static ActClassDocumentMember1` | `getByName(java.lang.String name)` Returns the 'Act Class Document Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DOC

    public static final int DOC

  The 'DOC' literal value.

  If the meaning of 'DOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOC_LITERAL`, Constant Field Values

### DOC_LITERAL

    public static final ActClassDocumentMember1 DOC_LITERAL

  The 'DOC' literal object.

  See Also:
    `DOC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Document Member1' enumerators.

Method Detail

### get

    public static ActClassDocumentMember1 get(java.lang.String literal)

  Returns the 'Act Class Document Member1' literal with the specified literal value.

### getByName

    public static ActClassDocumentMember1 getByName(java.lang.String name)

  Returns the 'Act Class Document Member1' literal with the specified name.

### get

    public static ActClassDocumentMember1 get(int value)

  Returns the 'Act Class Document Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD